Retrieve a drip campaign.
curl --request GET \
--url https://{subdomain}.outseta.com/api/v1/email/campaigns/drips/{dripCampaignUid} \
--header 'Authorization: Bearer <token>'import requests
url = "https://{subdomain}.outseta.com/api/v1/email/campaigns/drips/{dripCampaignUid}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{subdomain}.outseta.com/api/v1/email/campaigns/drips/{dripCampaignUid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"Uid": "string",
"_objectType": "string",
"Created": "string",
"Updated": "string",
"ActivityEventData": {},
"IsActive": false,
"Campaign": {
"Uid": "string",
"_objectType": "string",
"Created": "string",
"Updated": "string",
"ActivityEventData": {},
"Name": "string",
"FromName": "string",
"FromEmail": "string",
"CampaignType": 1
},
"TriggerId": 0,
"TriggerStartValue": "string",
"TriggerStopValue": "string",
"DripCampaignMessages": [
{
"Uid": "string",
"_objectType": "string",
"Created": "string",
"Updated": "string",
"ActivityEventData": {},
"DripCampaign": {},
"Message": {},
"DelayFromPriorDay": 0,
"DelayInHours": 0,
"Weight": 0
}
],
"AllowRepeatProcessing": false,
"StartDripToExistingMembers": false
}Drip campaigns
Retrieve a drip campaign.
GET
/
api
/
v1
/
email
/
campaigns
/
drips
/
{dripCampaignUid}
Retrieve a drip campaign.
Authorizations
BearerApiKey
Enter your access token (OAuth / JWT).
Path Parameters
The drip campaign's unique identifier.
Response
Minimum string length:
1Minimum string length:
1Maximum string length:
10Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I